using APT.Infrastructure.Core;
using System;
using APT.Infrastructure.Utility;
using System.ComponentModel;
namespace APT.BaseData.Domain.Entities
{
	[Description("资源表")]
	[Redis("ID")]
	public partial class T_PF_SCOPES : MesEntityBase
    {
		/// <summary>
		/// 显示名称
		/// </summary>
		[Description("名称")]
		[FormFieldTable]
		[FormFieldEdit]
		[FormFieldQuery]
		[DataFieldLength(30)]
		public string NAME { get; set; }

		/// <summary>
		/// 备注
		/// </summary>
		[Description("备注")]
		[FormFieldTable]
		[FormFieldEdit]
		[FormFieldQuery]
		[DataFieldLength(100)]
		public string REMARK { get; set; }

		[Description("启用标志")]
        [EnumName("FMEnableStatusEnum")]
        public int ENABLE_STATUS { get; set; }


    }
}
